function onBegin()
    local room = getRoom()
	player.ForceCameraUpdate = true
    room.PauseLock = true
    wait(3.0)
end

function onEnd()
    getRoom().PauseLock = false
	player.ForceCameraUpdate = false
end